bambam(6)

NOMBRE
bambam: un juego para machacar y garabatear con el teclado para bebés y niños pequeños

SINOPSIS
bambam [OPCIONES]

DESCRIPCIÓN

-u, --mayúscula
    Muestra MAYÚSCULAS.

-d, --sonidos-deterministas
    Produce los mismos sonidos con las mismas pulsaciones de teclas.

-D, --oscuro
    Usa un fondo oscuro en vez de uno claro.

-m, --silenciar
    Start muted.

--sticky-mouse
    Start with sticky mouse buttons enabled.

--sound_blacklist=GLOB
    Lista de patrones de archivos de sonido para no reproducir nunca.

--image_blacklist=GLOB
    Lista de patrones de imágenes para no mostrar nunca.

--extensión=EXTENSIÓN
    Utiliza la extensión especificada.

--wayland-ok
    No impida la ejecución bajo Wayland. Ver apartado NOTAS.

Bambam es un juego de teclado y ratón para bebés escrito en Python. Presionando teclas de letras se imprimen en sitios y colores aleatorios. Presionando cualquier otra tecla dibuja imágenes en sitios aleatorios. Arrastrando el ratón mientras el botón del ratón está presionado dibuja en colores aleatorios cambiantes. La pantalla es borrada de manera aleatoria.

NOTAS
Para salir, escribe directamente el comando mencionado en la esquina derecha de la ventana. Para españoles, la palabra es: salir.

Tenga en cuenta que hay formas de cambiar a otra aplicación desde bambam:

•   Actualmente, BamBam no puede determinar todas las pulsaciones de teclas en Wayland. Como resultado, al usar GNOME Shell, al presionar la tecla Windows o Super se abre la descripción general de la actividad. Por favor, compruebe su entorno. A partir de la versión 1.1.2, esto se puede remediar por el hecho de que BamBam intenta determinar si se ejecuta bajo Wayland. Si ese es el caso, BamBam mostrará una advertencia y dejará de funcionar. Puede desactivar esta función con la opción --wayland-ok.

•   bambam no bloquea el cambio de terminal virtual (por ejemplo, CTRL+ALT+F1). Consulte el archivo example-50-dont-vt-switch.conf si desea bloquear esto.

•   Puede haber otras formas, hasta ahora desconocidas, de hacer esto en entornos y administradores de ventanas.

Por las razones anteriores, a partir de la versión 1.2.0, es posible y recomendable ejecutar bambam en una sesión de inicio de sesión dedicada.

•   Una forma de hacer esto es seleccionar el tipo de sesión de BamBam en la configuración del administrador de pantalla al iniciar sesión (busque el icono de una herramienta).

•   Otra opción es usar un comando como exec startx bambam en la consola de texto.

To turn the sound off and on, type sound in the game. The legacy mute and unmute commands are also supported for now, they will be removed in a future version.

To toggle sticky mouse buttons, type mouse in the game. In this mode, the mouse button only needs to be pressed once to start or stop drawing.

Bambam es capaz de cargar imágenes (archivos GIF, JPEG, PNG y TIFF) y sonidos (archivos WAV y OGG) de los siguientes directorios:

•   El directorio data distribuido con el juego,

•   el directorio data en el subdirectorio XDG_DATA_HOME de bambam (normalmente ~/.local/share/bambam/data)

Al buscar archivos en un directorio, bambam does desciende del directorio siguiendo enlaces simbólicos. Esto facilita que bambam use archivos en otros lugares.

A partir de la versión 1.3.0 bambam tiene soporte experimental para extensiones, que son una forma de cambiar el comportamiento del programa. Bambam carga extensiones desde los siguientes directorios:

•   el directorio extensions distribuido con el juego,

•   el directorio extensions en el subdirectorio XDG_DATA_HOME de bambam (normalmente ~/.local/share/bambam/extensions)

Consulte el archivo EXTENSIONS.md para obtener documentación sobre la creación y modificación de las extensiones.

AUTOR
Spike Burch <spikeb@gmail.com> Marcin Owsiany <marcin@owsiany.pl>